{{sidenavigation.sidenavigationExpandLabel}}
{{getMsg('Help_YouAreHere')}}: /  {{page.title}} {{page.title}}
{{$root.getMsg("downLoadHelpAsPdf")}} {{helpModel.downloadHelpPdfDataStatus}}

Calendar

/api/calendar/{calendarId}/sync

Exposes calendars visible to the current user and stages calendar changes until they are validated and committed.

POST /api/calendar/{calendarId}/sync

Starts synchronization of this external calendar immediately.

Parameters

Name Location Type Required Description
calendarId path string yes calendar identifier from the request path

Response

Status Content Type Schema Description
204 — — No content.

Example Request

# Request
POST /api/calendar/<calendarId>/sync HTTP/1.1
Accept: application/json
Authorization: Bearer <access-token>

# Response
HTTP/1.1 204 No Content

Common Error Responses

The status codes 400, 403, 404, 405, 406, 409, 413, 415, and 500 use the same ApiError JSON error format:

{
    "status": 404,
    "code": "route_not_found",
    "message": "The requested API route does not exist.",
    "details": []
}

Schemas

Request and response schemas used on this page.

ApiError

Property Type Required Description
status integer (int32) yes —
code string yes —
message string yes —
details array<object> no —
i-net CoWork
Diese Anwendung verwendet Cookies um das Einloggen zu ermöglichen. Durch die weitere Nutzung dieser Anwendung stimmen Sie der Verwendung von Cookies zu.


Hilfe